.header {
    z-index: 900;
    position: relative;
    background: rgba(255, 255, 255, 0.05);

    &__wrap {
        height: rem(80);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__logo {
        width: 79px;
        flex-shrink: 0;
        display: block;
    }

    &__hamburger {
        margin: 0;
        padding: 0;
        width: 24px;
        height: 24px;
        border: none;
        outline: none;
        cursor: pointer;
        display: block;
        flex-shrink: 0;
        position: relative;
        background: transparent;

        span,
        &:after,
        &:before {
            z-index: 10;
            height: 2px;
            content: '';
            background: $white;
            position: absolute;
        }

        &:after {
            width: 20px;
            top: calc(50% - 8px);
            left: calc(50% - 10px);
        }

        &:before {
            width: 20px;
            top: calc(50% + 6px);
            left: calc(50% - 10px);
        }

        span {
            right: 2px;
            width: 14px;
            top: calc(50% - 1px);
        }
    }

    @include media-breakpoint-up(md) {

        &__hamburger {
            display: none;
        }
    }

    @include media-breakpoint-up(xl) {

        &__wrap {
            height: rem(100);
        }

        &__logo {
            width: 158px;
        }
    }

    @include media-breakpoint-up(xxl) {}
}

.header-nav {
    top: 0;
    left: 0;
    bottom: 0;
    width: rem(280);
    z-index: 1000;
    position: fixed;
    font-weight: 500;
    font-size: rem(18);
    line-height: rem(20);
    padding: rem(100) rem(20) rem(20) rem(20);
    background: linear-gradient(135deg, rgba(146, 170, 252, 0.10) 0%, rgba(183, 200, 255, 0.10) 100%);
    backdrop-filter: blur(8px);
    transform: translateX(-300px);
    transition: .3s;

    &__item {
        margin-bottom: rem(30);
    }

    &__link {
        color: $white;
        text-decoration: none;
        transition: .3s;

        &:hover {
            color: $white;
            text-decoration: none;
        }
    }

    @include media-breakpoint-up(md) {
        top: auto;
        left: auto;
        width: auto;
        bottom: auto;
        padding: 0;
        font-size: rem(16);
        line-height: rem(20);
        position: relative;
        background: transparent;
        transform: translateX(0);
        display: flex;
        align-items: center;
        backdrop-filter: none;

        &__item {
            margin-bottom: 0;

            &:not(:last-child) {
                margin-right: rem(40);
            }
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(18);
        line-height: rem(24);

        &__item {

            &:not(:last-child) {
                margin-right: rem(80);
            }
        }

        &__link {

            &:hover {
                color: $turquoise;
                transition: .3s;
            }
        }
    }
}

.nav-open {
    overflow: hidden;

    .header-nav {
        transition: .3s;
        transform: translateX(0);
    }

    .header__hamburger {

        span {
            opacity: 0;
            width: 100%;
        }

        &:after {
            transform: translateY(7px) translateX(0) rotate(45deg);
            width: 100%;
        }

        &:before {
            transform: translateY(-7px) translateX(0) rotate(-45deg);
            width: 100%;
        }
    }

    @include media-breakpoint-up(md) {
        overflow: visible;
    }
}
